

A = [2006 2007 2008 2009 2010 2011];
for k = 1: length(A)
  
switch A(k)
    case 2006
        volum_tyin = xlsread('2006_utdata_pumpe',3,'C3:G5882');
        volum_tor = xlsread('2006_utdata_pumpe',3,'I3:M5882');

        kriterie = xlsread('2006_kjoredata',7, 'C2:G5881');
        turbindata = xlsread('2006_kjoredata',6, 'G4:G6');
        pumpemengde = xlsread('2006_kjoredata',1, 'C5882:G5882');
    case 2007
        volum_tyin = xlsread('2007_utdata_pumpe',3,'C3:G5882');
        volum_tor = xlsread('2007_utdata_pumpe',3,'I3:M5882');

        kriterie = xlsread('2007_kjoredata',7, 'C2:G5881');
        turbindata = xlsread('2007_kjoredata',6, 'G4:G6');
        pumpemengde = xlsread('2007_kjoredata',1, 'C5882:G5882');
case 2008
        volum_tyin = xlsread('2008_utdata_pumpe',3,'C3:G5882');
        volum_tor = xlsread('2008_utdata_pumpe',3,'I3:M5882');

        kriterie = xlsread('2008_kjoredata',7, 'C2:G5881');
        turbindata = xlsread('2008_kjoredata',6, 'G4:G6');
        pumpemengde = xlsread('2008_kjoredata',1, 'C5882:G5882');        
    case 2009
        volum_tyin = xlsread('2009_utdata_pumpe',3,'C3:G5882');
        volum_tor = xlsread('2009_utdata_pumpe',3,'I3:M5882');

        kriterie = xlsread('2009_kjoredata',7, 'C2:G5881');
        turbindata = xlsread('2009_kjoredata',6, 'G4:G6');
        pumpemengde = xlsread('2009_kjoredata',1, 'C5882:G5882');
    case 2010
        volum_tyin = xlsread('2010_utdata_pumpe',3,'C3:G5882');
        volum_tor = xlsread('2010_utdata_pumpe',3,'I3:M5882');

        kriterie = xlsread('2010_kjoredata',7, 'C2:G5881');
        turbindata = xlsread('2010_kjoredata',6, 'G4:G6');
        pumpemengde = xlsread('2010_kjoredata',1, 'C5882:G5882');
    case 2011
        volum_tyin = xlsread('2011_utdata_pumpe',3,'C3:G5882');
        volum_tor = xlsread('2011_utdata_pumpe',3,'I3:M5882');

        kriterie = xlsread('2011_kjoredata',7, 'C2:G5881');
        turbindata = xlsread('2011_kjoredata',6, 'G4:G6');
        pumpemengde = xlsread('2011_kjoredata',1, 'C5882:G5882');
end



pumpemengde_tor = transpose(pumpemengde);
pumpemengde_tyin =transpose(pumpemengde);

hrv_tyin = 1083.89;
lrv_tyin = 1073.55;
hrv_tor = 1050.8;
lrv_tor = 1047.8;

manningstall = 33;
lengde = 2586;
areal = 19.8;

[timer,pumper] = size(kriterie);

qbest = turbindata(1);
qmax = turbindata(2);
qmin = turbindata(3);
qtyin_best = 40;

nytt_magvol_tyin = zeros(timer,pumper);
nytt_nivaa_tyin = zeros(timer,pumper);
nytt_magvol_tor = zeros(timer,pumper);
nytt_nivaa_tor = zeros(timer,pumper);

hf = zeros(timer,pumper);
hbrutto = zeros(timer,pumper);
hnetto = zeros(timer,pumper);

vgrad_tabell = zeros(timer,pumper);
qtabell = zeros(timer,pumper);
qtabell_tyin = zeros(timer,pumper);
energitabell = zeros(timer,pumper);

qt = zeros(timer,1);
qtyin = zeros(timer,1);

for i = 1:pumper
    kjoring = 0;
    fratrekk = 0;
    lager = 0;
    for j = 1:timer
        
        qt(j) = 0;
        qtyin(j) = 0;
        kjoring = 0;
        
         
        if (kriterie(j,i)==1)
            qt(j) = qmax;
            qtyin(j) = qtyin_best;
            kjoring = 1;
            
            if (pumpemengde_tor(i) < qmax)
                qt(j) = pumpemengde_tor(i);
            end
            
            if (pumpemengde_tyin(i) < qtyin_best)
                qtyin(j) = pumpemengde_tyin(i);
            end
            
            
            
        end 
        
        pumpemengde_tor(i) = pumpemengde_tor(i)-qt(j);
        pumpemengde_tyin(i) = pumpemengde_tyin(i)-qtyin(j);
        
            fratrekk = fratrekk + qt(j)*3600/10^6;
            nytt_magvol_tyin(j,i) = volum_tyin(j,i) - fratrekk;
            nytt_nivaa_tyin(j,i) = nivaa_tyin(nytt_magvol_tyin(j,i));
            
            lager = lager + qtyin(j)*3600/10^6;
            nytt_magvol_tor(j,i) = volum_tor(j,i) + fratrekk - lager;
            nytt_nivaa_tor(j,i) = nivaa_torolmen(nytt_magvol_tor(j,i));

         vgrad = virkningsgrad3_kaplan(qt(j),qmax);
         vgrad_tabell(j,i) = vgrad;
         qtabell(j,i) = qt(j);
         qtabell_tyin(j,i) = qtyin(j);
         hf(j,i) = friksjonstap(areal, lengde, manningstall, qt(j));
         hbrutto(j,i) = nytt_nivaa_tyin(j,i) - nytt_nivaa_tor(j,i);
         hnetto(j,i) = hbrutto(j,i) - hf(j,i);
         
      
         energitabell(j,i) = produksjon(vgrad,qt(j),hnetto(j,i));
                    
    end
end

switch A(k)
    case 2006
        xlswrite('2006_kjoredata',vgrad_tabell,7,'I2'); 
        xlswrite('2006_kjoredata',qtabell,8,'C2');
        xlswrite('2006_kjoredata',qtabell_tyin,8,'I2');

        xlswrite('2006_kjoredata',nytt_nivaa_tor,9,'C2');
        xlswrite('2006_kjoredata',nytt_nivaa_tyin,9,'I2');
        xlswrite('2006_kjoredata',nytt_magvol_tor,9,'O2');
        xlswrite('2006_kjoredata',nytt_magvol_tyin,9,'U2');

        xlswrite('2006_kjoredata',energitabell,10,'C2');
        xlswrite('2006_kjoredata',hf,10,'I2');    
    case 2007
        xlswrite('2007_kjoredata',vgrad_tabell,7,'I2'); 
        xlswrite('2007_kjoredata',qtabell,8,'C2');
        xlswrite('2007_kjoredata',qtabell_tyin,8,'I2');

        xlswrite('2007_kjoredata',nytt_nivaa_tor,9,'C2');
        xlswrite('2007_kjoredata',nytt_nivaa_tyin,9,'I2');
        xlswrite('2007_kjoredata',nytt_magvol_tor,9,'O2');
        xlswrite('2007_kjoredata',nytt_magvol_tyin,9,'U2');

        xlswrite('2007_kjoredata',energitabell,10,'C2');
        xlswrite('2007_kjoredata',hf,10,'I2');
    case 2008
        xlswrite('2008_kjoredata',vgrad_tabell,7,'I2'); 
        xlswrite('2008_kjoredata',qtabell,8,'C2');
        xlswrite('2008_kjoredata',qtabell_tyin,8,'I2');

        xlswrite('2008_kjoredata',nytt_nivaa_tor,9,'C2');
        xlswrite('2008_kjoredata',nytt_nivaa_tyin,9,'I2');
        xlswrite('2008_kjoredata',nytt_magvol_tor,9,'O2');
        xlswrite('2008_kjoredata',nytt_magvol_tyin,9,'U2');

        xlswrite('2008_kjoredata',energitabell,10,'C2');
        xlswrite('2008_kjoredata',hf,10,'I2');        
    case 2009
        xlswrite('2009_kjoredata',vgrad_tabell,7,'I2'); 
        xlswrite('2009_kjoredata',qtabell,8,'C2');
        xlswrite('2009_kjoredata',qtabell_tyin,8,'I2');

        xlswrite('2009_kjoredata',nytt_nivaa_tor,9,'C2');
        xlswrite('2009_kjoredata',nytt_nivaa_tyin,9,'I2');
        xlswrite('2009_kjoredata',nytt_magvol_tor,9,'O2');
        xlswrite('2009_kjoredata',nytt_magvol_tyin,9,'U2');

        xlswrite('2009_kjoredata',energitabell,10,'C2');
        xlswrite('2009_kjoredata',hf,10,'I2');
    case 2010
        xlswrite('2010_kjoredata',vgrad_tabell,7,'I2'); 
        xlswrite('2010_kjoredata',qtabell,8,'C2');
        xlswrite('2010_kjoredata',qtabell_tyin,8,'I2');

        xlswrite('2010_kjoredata',nytt_nivaa_tor,9,'C2');
        xlswrite('2010_kjoredata',nytt_nivaa_tyin,9,'I2');
        xlswrite('2010_kjoredata',nytt_magvol_tor,9,'O2');
        xlswrite('2010_kjoredata',nytt_magvol_tyin,9,'U2');

        xlswrite('2010_kjoredata',energitabell,10,'C2');
        xlswrite('2010_kjoredata',hf,10,'I2');
    case 2011
        xlswrite('2011_kjoredata',vgrad_tabell,7,'I2'); 
        xlswrite('2011_kjoredata',qtabell,8,'C2');
        xlswrite('2011_kjoredata',qtabell_tyin,8,'I2');

        xlswrite('2011_kjoredata',nytt_nivaa_tor,9,'C2');
        xlswrite('2011_kjoredata',nytt_nivaa_tyin,9,'I2');
        xlswrite('2011_kjoredata',nytt_magvol_tor,9,'O2');
        xlswrite('2011_kjoredata',nytt_magvol_tyin,9,'U2');

        xlswrite('2011_kjoredata',energitabell,10,'C2');
        xlswrite('2011_kjoredata',hf,10,'I2');
end

end
        