% program som tar inn data om hvor mange timer som skal kjres for  bruke
% opp pumpevannet og fordeler dem p timene med hyest pris
A = [2006 2007 2008 2009 2010 2011];
for k = 1: length(A)
  
switch A(k)
    case 2006
        dato = xlsread('2006_kjoredata',4,'B2:B5881');
        pris = xlsread('2006_kjoredata',4,'C2:C5881');
        kriterie = xlsread('2006_kjoredata',4,'J2:N5881');
        kjoretimer = xlsread('2006_kjoredata',6,'D3:D7');        
    case 2007
        dato = xlsread('2007_kjoredata',4,'B2:B5881');
        pris = xlsread('2007_kjoredata',4,'C2:C5881');
        kriterie = xlsread('2007_kjoredata',4,'J2:N5881');
        kjoretimer = xlsread('2007_kjoredata',6,'D3:D7');
    case 2008
        dato = xlsread('2008_kjoredata',4,'B2:B5881');
        pris = xlsread('2008_kjoredata',4,'C2:C5881');
        kriterie = xlsread('2008_kjoredata',4,'J2:N5881');
        kjoretimer = xlsread('2008_kjoredata',6,'D3:D7');
    case 2009
        dato = xlsread('2009_kjoredata',4,'B2:B5881');
        pris = xlsread('2009_kjoredata',4,'C2:C5881');
        kriterie = xlsread('2009_kjoredata',4,'J2:N5881');
        kjoretimer = xlsread('2009_kjoredata',6,'D3:D7');        
    case 2010
        dato = xlsread('2010_kjoredata',4,'B2:B5881');
        pris = xlsread('2010_kjoredata',4,'C2:C5881');
        kriterie = xlsread('2010_kjoredata',4,'J2:N5881');
        kjoretimer = xlsread('2010_kjoredata',6,'D3:D7');        
    case 2011
        dato = xlsread('2011_kjoredata',4,'B2:B5881');
        pris = xlsread('2011_kjoredata',4,'C2:C5881');
        kriterie = xlsread('2011_kjoredata',4,'J2:N5881');
        kjoretimer = xlsread('2011_kjoredata',6,'D3:D7');
end


[timer,pumper] = size(kriterie);
pumpe1 = zeros(timer,2);
pumpe2 = zeros(timer,2);
pumpe3 = zeros(timer,2);
pumpe4 = zeros(timer,2);
pumpe5 = zeros(timer,2);

for i = 1:pumper
    counter = 0;
    kjore = 0;
    for j = 1:timer
        if (kriterie(j,i) == 1 || (counter < kjoretimer(i) && kjore == 1))
            kjore = 1;
            counter = counter + 1;
            switch i
                case 1
                    pumpe1(j,1) = dato(j);
                    pumpe1(j,2) = pris(j);
                case 2
                    pumpe2(j,1) = dato(j);
                    pumpe2(j,2) = pris(j);
                case 3
                    pumpe3(j,1) = dato(j);
                    pumpe3(j,2) = pris(j);
                case 4
                    pumpe4(j,1) = dato(j);
                    pumpe4(j,2) = pris(j);
                case 5
                    pumpe5(j,1) = dato(j);
                    pumpe5(j,2) = pris(j);
           
            end
        else
            switch i
                case 1
                    pumpe1(j,1) = dato(j);
                case 2
                    pumpe2(j,1) = dato(j);
                case 3
                    pumpe3(j,1) = dato(j);
                case 4
                    pumpe4(j,1) = dato(j);
                case 5
                    pumpe5(j,1) = dato(j);
            end
       
        end
        
    end
end

sortert1 = flipdim(sortrows(pumpe1,2),1);
sortert2 = flipdim(sortrows(pumpe2,2),1);
sortert3 = flipdim(sortrows(pumpe3,2),1);
sortert4 = flipdim(sortrows(pumpe4,2),1);
sortert5 = flipdim(sortrows(pumpe5,2),1);

for i = 1:pumper
    switch i
        case 1
            sortert1((kjoretimer(i) + 1):end,2) = 0;
        case 2
            sortert2((kjoretimer(i) + 1):end,2) = 0;
        case 3
            sortert3((kjoretimer(i) + 1):end,2) = 0;
        case 4
            sortert4((kjoretimer(i) + 1):end,2) = 0;
        case 5
            sortert5((kjoretimer(i) + 1):end,2) = 0;
            
    end
end

sortert1 = sortrows(sortert1,1);
sortert2 = sortrows(sortert2,1);
sortert3 = sortrows(sortert3,1);
sortert4 = sortrows(sortert4,1);
sortert5 = sortrows(sortert5,1);

switch A(k)
    case 2006
        xlswrite('2006_kjoredata', sortert1,5,'B2');
        xlswrite('2006_kjoredata', sortert2,5,'E2');
        xlswrite('2006_kjoredata', sortert3,5,'H2');
        xlswrite('2006_kjoredata', sortert4,5,'K2');
        xlswrite('2006_kjoredata', sortert5,5,'N2');
    case 2007
        xlswrite('2007_kjoredata', sortert1,5,'B2');
        xlswrite('2007_kjoredata', sortert2,5,'E2');
        xlswrite('2007_kjoredata', sortert3,5,'H2');
        xlswrite('2007_kjoredata', sortert4,5,'K2');
        xlswrite('2007_kjoredata', sortert5,5,'N2');
    case 2008
        xlswrite('2008_kjoredata', sortert1,5,'B2');
        xlswrite('2008_kjoredata', sortert2,5,'E2');
        xlswrite('2008_kjoredata', sortert3,5,'H2');
        xlswrite('2008_kjoredata', sortert4,5,'K2');
        xlswrite('2008_kjoredata', sortert5,5,'N2');        
    case 2009
        xlswrite('2009_kjoredata', sortert1,5,'B2');
        xlswrite('2009_kjoredata', sortert2,5,'E2');
        xlswrite('2009_kjoredata', sortert3,5,'H2');
        xlswrite('2009_kjoredata', sortert4,5,'K2');
        xlswrite('2009_kjoredata', sortert5,5,'N2');       
    case 2010
        xlswrite('2010_kjoredata', sortert1,5,'B2');
        xlswrite('2010_kjoredata', sortert2,5,'E2');
        xlswrite('2010_kjoredata', sortert3,5,'H2');
        xlswrite('2010_kjoredata', sortert4,5,'K2');
        xlswrite('2010_kjoredata', sortert5,5,'N2');       
    case 2011
        xlswrite('2011_kjoredata', sortert1,5,'B2');
        xlswrite('2011_kjoredata', sortert2,5,'E2');
        xlswrite('2011_kjoredata', sortert3,5,'H2');
        xlswrite('2011_kjoredata', sortert4,5,'K2');
        xlswrite('2011_kjoredata', sortert5,5,'N2');
end

end
